import { decodeParams, fetchCommits, overrideConfig } from "../../utils/queries.mjs";
import * as imports from "#imports";
const moduleConfig = imports.useRuntimeConfig().github ?? {};
let handler;
if (process.env.NODE_ENV === "development" || moduleConfig.disableCache) {
  handler = imports.defineEventHandler;
} else {
  handler = imports.defineCachedEventHandler;
}
export default handler(
  async (event) => {
    const query = decodeParams(event.context.params.query);
    const normalizedQuery = {
      ...query,
      date: query.date ? new Date(query.date) : void 0
    };
    const githubConfig = overrideConfig(moduleConfig, query);
    return await fetchCommits(normalizedQuery, githubConfig);
  },
  {
    maxAge: 60
  }
);
